import { PrimitiveDefinition, GeometryDefinition, ComponentDefinition } from "aframe";
export declare class AframeUtils {
    static primitiveExists(tag: string): boolean;
    static geometryExists(tag: string): boolean;
    static componentExists(tag: string): boolean;
    static registerPrimitive(tag: string, obj: PrimitiveDefinition): void;
    static registerGeometry(tag: string, obj: GeometryDefinition): void;
    static registerComponent(tag: string, obj: ComponentDefinition): void;
}
